# Get All Transaction Types **GET /v2/transactions/types** Returns all transaction types the authenticated user is entitled to see. A user can see Global, Association, Office, and Personal level types, but can only PATCH/DELETE their own. ## Servers - https://api.pre.transactiondesk.com: https://api.pre.transactiondesk.com () ## Authentication methods - Bearer auth ## Parameters ## Responses ### 200 List of transaction types returned successfully #### Body: application/json (array[object]) - **id** (string(uuid)) Unique identifier for this transaction type - **name** (string) - **ownerId** (string(uuid)) Owner of this type (Global, Association, Office, or Personal level) - **dateCreated** (string(date-time)) - **lastModified** (string(date-time)) ### 401 Unauthorized #### Body: application/json (object) - **code** (integer) - **message** (string) - **details** (array) - **data** () [Powered by Bump.sh](https://bump.sh)